PGAReceiveIndividual(4)

NAME
PGAReceiveIndividual - receive an individual from another process

INPUT PARAMETERS
ctx - contex variable
p   - index of an individual
pop - symbolic constant of the population
source
    - ID of the process from which to receive
tag - MPI tag to look for
status
    - pointer to an MPI status structure

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGAReceiveIndividual(ctx, p, pop, source, tag, comm, status)
PGAContext *ctx
int p
int pop
int source
int tag
MPI_Comm comm
MPI_Status *status

LOCATION
parallel.c

EXAMPLE
Receive a string from the master process (rank == 0) with tag
PGA_SR_STRINGTOEVAL, and place it into the first temporary location
in PGA_NEWPOP.

PGAContext *ctx;
MPI_Comm    comm;
MPI_Status  status;
:
PGAReceiveIndividual(ctx, PGA_TEMP1, PGA_NEWPOP, 0, PGA_SR_STRINGTOEVAL,
comm, &status);